Bug 58228 - rc.sysinit complains with a monolithic kernel (without modules support)
Summary: rc.sysinit complains with a monolithic kernel (without modules support)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-11 08:42 UTC by osi
Modified: 2014-03-17 02:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-07 03:44:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A suggested fix (449 bytes, patch)
2002-01-11 08:44 UTC, osi
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:022 normal SHIPPED_LIVE New initscripts packages available for Red Hat Linux 7.2 2002-02-06 05:00:00 UTC

Description osi 2002-01-11 08:42:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.17-talk i686)

Description of problem:
/proc/ksyms and /proc/modules do not exist for monolithic kernels
(i.e. without modules support)  /etc/rc.sysinit complains
about this during the boot when creating /var/log/ksyms.0.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile (a Linus') kernel without modules support
2. Install the kernel
3. Boot the computer
	

Actual Results:  /bin/cat: /proc/modules: No such file or directory
/bin/cat: /proc/ksyms: No such file or directory

Expected Results:  (nothing)

Additional info:

Comment 1 osi 2002-01-11 08:44:03 UTC
Created attachment 42291 [details]
A suggested fix

Comment 2 Bill Nottingham 2002-02-07 03:44:11 UTC
Thanks, fixed in CVS, will be in 6.53-1.


Note You need to log in before you can comment on or make changes to this bug.